
/*
 * Stream for making sure that BlindsStream-request is handled correctly.
 */

#ifndef HT_Blinds_H
#define HT_Blinds_H

#include "HTUtils.h"
#include "tcp.h"
#include "HTStream.h"

PUBLIC HTStream * HTBlindsStream PARAMS((HTStream * sink));

void Blinds_send(HTStream *me, CONST char *b);
void Blinds_receive(HTStream *me, CONST char *b, int len);
void Blinds_sendEOF(HTStream *me);
void Reset();
int init_transform(void);
void close_transform(void);
int transform(int prod, char *text, HTStream *me);

#endif /* HT_Blinds_H */

